document.addEventListener("deviceready", onIndexReady, false);
function onIndexReady() {                
    var db = window.sqlitePlugin.openDatabase({name: "mototappsi.db"});
    db.transaction(function(tx) {
        tx.executeSql('SELECT * FROM usuario',[], function(tx, res) {         
            if(res.rows.length==0)
            {
                navigator.notification.alert(
                    "NO se encontro un usuario configurado en este equipo, para poder utilizar el servicio debes registrar un usuario",  // message
                    redirectMiCuenta,
                    'MotoTappsi',            // title
                    'Aceptar'                  // buttonName
                ); 
            }
            else
            {
                $("#ccmoto").val(res.rows.item(0).cc);
                $("#ciudad").val(res.rows.item(0).ciudad);
                
                $.ajax({
                    type: 'POST',
                    url: dirUrlServices+"valMoto",
                    headers: {
                        "user":"m0t0t4pps1",
                        "pass":"m0t0t4pps1"
                    },
                    data: {"cc":$("#ccmoto").val()}
                    //OR
                    //beforeSend: function(xhr) { 
                    //  xhr.setRequestHeader("My-First-Header", "first value"); 
                    //  xhr.setRequestHeader("My-Second-Header", "second value"); 
                    //}
                }).done(function(data) { 
                    //data = JSON.parse(data);        
                    if(data.status==2)
                    {
                        navigator.notification.alert(
                            data.message,  // message
                            redirectMiCuenta,
                            'MotoTappsi',            // title
                            'Aceptar'                  // buttonName
                        ); 
                        location.href = "bloqueo.html";
                    }        
                });
                VerificarSolicitudes();
            }
            
        });                                  
    });
}

var numSol=0;
function redirectMiCuenta()
{
    location.href = "micuenta.html";
}

function VerificarSolicitudes()
{
    BuscarSolicitudes();
    BuscarSolicitudesDistribuidor();
    
}

function BuscarSolicitudes()
{    
    $.ajax({
        type: 'GET',
        url: dirUrlServices+"getSolicitud/"+$("#ciudad").val(),
        headers: {
            "user":"m0t0t4pps1",
            "pass":"m0t0t4pps1"
        }
        //OR
        //beforeSend: function(xhr) { 
        //  xhr.setRequestHeader("My-First-Header", "first value"); 
        //  xhr.setRequestHeader("My-Second-Header", "second value"); 
        //}
    }).done(function(data) { 
        //data = JSON.parse(data);        
        if(data[0].code==0)
        {
           VerificarSolicitudes();  
        }
        else
        {
            
            var totalReg = data[0].numTotal;            
            if(numSol != totalReg)
            { 
                $("#divServicios").html("");
                navigator.vibrate([500]);
                navigator.notification.beep(1);
                numSol = totalReg;
                $.each(data, function (index, value) {  
                    var nombres = this.nombre+' '+this.apellido;
                    var dir = this.direccion;
                    var cel = this.celular;
                    var idsol = this.id;
                    $("#divServicios").append('<li class="collection-item avatar animated bounceInLeft" onclick="detallesSolicitud(\''+nombres+'\', \''+dir+'\', \''+cel+'\', \''+idsol+'\', \''+this.lat+'\', \''+this.lon+'\', \''+this.cc+'\')"><img src="img/user.png" id="'+this.cc+'" alt="" class="circle"><span class="title">'+this.nombre+' '+this.apellido+'</span><p>'+this.direccion+'</p></li> ');
                });
            }
            else
            {
                numSol = totalReg;            
            }
        }        
        VerificarSolicitudes();                               
    });
}

function BuscarSolicitudesDistribuidor()
{
    $.ajax({
        type: 'POST',
        url: dirUrlServices+"getSolicitudDistribuidor",
        headers: {
            "user":"m0t0t4pps1",
            "pass":"m0t0t4pps1"
        },
        data: {"cc":$("#ccmoto").val()}
        //OR
        //beforeSend: function(xhr) { 
        //  xhr.setRequestHeader("My-First-Header", "first value"); 
        //  xhr.setRequestHeader("My-Second-Header", "second value"); 
        //}
    }).done(function(data) { 
        //data = JSON.parse(data);        
        if(data.code==1)
        {
            navigator.vibrate([500]);
            navigator.vibrate([500]);            
            redirectDetalleDsitribuidor(data.solicitud);
        }        
    });
}

function detallesSolicitud(nombre, dir, cel, idsol, lati, long, cc)
{       
    $("#nombretxt").html(nombre);    
    $("#dirtxt").html(dir);    
    //$("#celtxt").html(cel);       
         
    $("#idsolicitud").val(idsol);       
    $("#modal2").openModal();
}

function TomarSolicitud()
{
    $("#modal1").openModal();
    $.ajax({
        type: 'POST',
        url: dirUrlServices+"selSolicitud",
        headers: {
            "user":"m0t0t4pps1",
            "pass":"m0t0t4pps1"
        },
        data: {"cc":$("#ccmoto").val(), "id":$("#idsolicitud").val()}
        //OR
        //beforeSend: function(xhr) { 
        //  xhr.setRequestHeader("My-First-Header", "first value"); 
        //  xhr.setRequestHeader("My-Second-Header", "second value"); 
        //}
    }).done(function(data) {  
        //data = JSON.parse(data);
        navigator.notification.alert(
                    data.message,  // message
                    redirectDetalle,
                    'MotoTappsi',            // title
                    'Aceptar'                  // buttonName
                ); 
    });
}

function redirectDetalle()
{    
    location.href = "detalle.html?idsol="+$("#idsolicitud").val();
}
function redirectDetalleDsitribuidor(id)
{    
    navigator.notification.alert(
        "El distribuidor le ha asigando una solicitud",  // message
        null,
        'MotoTappsi',            // title
        'Aceptar'                  // buttonName
    ); 
    location.href = "detalle.html?idsol="+id;
}