document.addEventListener("deviceready", onMicuentaReady, false);
function onMicuentaReady() {    
    var db = window.sqlitePlugin.openDatabase({name: "mototappsi.db"});
    db.transaction(function(tx) {
        tx.executeSql('SELECT * FROM usuario',[], function(tx, res) {                        
            if (res != null && res.rows != null) {
                for (var i = 0; i < res.rows.length; i++) {
                    var row = res.rows.item(i);                             
                    $("#cc").val(row.cc);
                    $("#nombres").val(row.nombres);
                    $("#apellidos").val(row.apellidos);
                    $("#ciudad").val(row.ciudad);
                    $("#direccion").val(row.direccion);
                    $("#email").val(row.email);
                    $("#celular").val(row.celular);
                    $("#marca").val(row.marca);
                    $("#placa").val(row.placa);
                    var image = document.getElementById('foto');
                    image.style.display = 'block';
                    image.src = "data:image/jpeg;base64," + row.foto;
                    photo = row.foto;
                }
            }            
        });                                  
    });
}

var photo;
function clickFoto()
{
    navigator.camera.getPicture(onSuccessPics, onFailPics, { quality: 50,
        destinationType: Camera.DestinationType.DATA_URL
     }); 

}

function onSuccessPics(imageData) {
    photo = imageData;
    var image = document.getElementById('foto');
    image.style.display = 'block';
    image.src = "data:image/jpeg;base64," + imageData;
}

function onFailPics(message) {
    alert('Fallo la camara, error: ' + message);
}

function guardarDatos()
{
    $("#modal1").openModal();
    var db = window.sqlitePlugin.openDatabase({name: "mototappsi.db"});
    db.transaction(function(tx) {
        tx.executeSql("SELECT count (id) as cant FROM usuario",[], function(tx, res){
            if(res.rows.item(0).cant>0)
            {
                tx.executeSql("DELETE FROM usuario WHERE id != '';", []);
            }
            tx.executeSql("INSERT INTO usuario (cc, nombres, apellidos, ciudad, direccion, email, celular, foto, estado, marca, placa) VALUES(?,?,?,?,?,?,?,?,?,?,?)",
            [$("#cc").val(),$("#nombres").val(),$("#apellidos").val(),$("#ciudad").val(),$("#direccion").val(),$("#email").val(),$("#celular").val(),photo ,1,$("#marca").val(),$("#placa").val()], function (){
                
                $.ajax({
                    type: 'POST',
                    url: dirUrlServices+"setMotoTaxi",
                    headers: {
                        "user":"m0t0t4pps1",
                        "pass":"m0t0t4pps1"
                    },
                    data: {"cc":$("#cc").val(), "nombres":$("#nombres").val(), "apellidos":$("#apellidos").val(),"ciudad":$("#ciudad").val(), "direccion":$("#direccion").val(), "email":$("#email").val(), "celular":$("#celular").val(), "foto":photo, "marca":$("#marca").val(), "placa":$("#placa").val()}
                    //OR
                    //beforeSend: function(xhr) { 
                    //  xhr.setRequestHeader("My-First-Header", "first value"); 
                    //  xhr.setRequestHeader("My-Second-Header", "second value"); 
                    //}
                }).done(function(data) { 
                    $("#modal1").closeModal();
                    navigator.notification.alert(
                        "El Usuario fue Creado Correctamente, Bienvenid@ a MotoTappsi",  // message
                        redirectIndex,
                        'MotoTappsi',            // title
                        'Aceptar'                  // buttonName
                    ); 
                });
                
                  
            });
        });
    });   
}

function redirectIndex()
{
    location.href = "index.html";
}